Subject: Re: [PATCH 4/9] powerpc: BestComm core support for Freescale MPC5200

From: Sylvain Munaut <[email-masked]>
Date: Mon, 14 May 2007 07:15:48 +0200

Matt Sealey wrote:
> Sylvain Munaut wrote:
>   
>>>> However, you could totally implement a "DMA devices" that would just
>>>> use a simple "copy from there to there" task using this BestComm driver.
>>>> So other part of the kernel (like network) could use that interface to
>>>> use the dma engine ...
>>>>     
>>>>         
>>> Can it also do the advanced operations like XOR on DMA that the
>>> Intel ioat has? That would be even more interesting, I guess.
>>>   
>>>       
>> Actually yes it can.
>> It just need someone motivated enough to write it ;)
>>     
>
> Isn't there an XOR-while-copying-DMA example somewhere?
>   
Never saw it. But in the gen BD task it's easy to find the DRD that
really does the copy and using the hand assembly guide and the
example DRD than auto-shutdown the task, it's possible to figure out
how to replace that simple DRD by a one calling xor in EU3.
> I'm sure I've seen reference to it, or it being used somewhere.. to
> be honest the worst part of using BestComm is it's only well documented
> on how to use tasks and how to set up the engine, actually writing them
> is some kind of black art which Freescale hold close to their chest.
>   
No kidding ;)

   Sylvain